## FHIR Implementation

*   The current specification: [http://www.HL7.org/fhir/](http://www.HL7.org/fhir/) (or [the development version](http://hl7.org/implement/standards/FHIR-Develop/))
    *   [FHIR Profiles from other Organizations](/index.php?title=FHIR_Profiles_from_other_Organizations "FHIR Profiles from other Organizations")
*   Contact Information
    *   Implementation help: [[ask questions about FHIR](http://stackoverflow.com/questions/tagged/hl7_fhir)]
    *   Formal Contact point for the project: [[fmgcontact@hl7.org](mailto:fmgcontact@hl7.org)]
    *   [Skype Group Chats](/index.php?title=FHIR_Skype_Chat "FHIR Skype Chat")
    *   [FHIR gForge Tracker](http://gforge.hl7.org/gf/project/fhir/tracker/?action=TrackerItemBrowse&tracker_id=677) for change requests/corrections
    *   FHIR Project Team Leads (FHIR Core Team): [[Grahame Grieve](mailto:grahame@healthintersections.com.au)], [[Ewout Kramer](mailto:e.kramer@furore.com)], [[Lloyd Mckenzie](mailto:lloyd@lmckenzie.com)]
    *   [List server](/index.php?title=FHIR_email_list_subscription_instructions "FHIR email list subscription instructions") - project email list

*   Help / Getting Started
    *   [FHIR Starter](/index.php?title=FHIR_Starter "FHIR Starter") - tutorial for FHIR newbies
    *   [FHIR Cheat Sheet](http://www.furore.com/wp-content/uploads/2014/11/FURORE-CHEATSHEET-FHIR-R3.pdf) (DSTU 1)
    *   [Help desk FAQs & knowledge-base articles](https://healthlevelseven.desk.com/) (HL7 members only)
    *   [FHIR Tools Registry](/index.php?title=FHIR_Tools_Registry "FHIR Tools Registry") - a list of useful tools for FHIR implementers
    *   [FHIR for Clinical Users](/index.php?title=FHIR_for_Clinical_Users "FHIR for Clinical Users") - an introduction to FHIR for non-technical people that will migrate to the specification in the future
    *   [FHIR User Group](/index.php?title=FHIR_User_Group "FHIR User Group")
*   Social Media on FHIR
    *   FHIR blogs [David Hay](http://fhirblog.com/), [Ewout Kramer](http://thefhirplace.com/), [Grahame Grieve](http://www.healthintersections.com.au/)
    *   FHIR News on Twitter [FHIR News](http://www.twitter.com/FHIRnews)
    *   FHIR Videos [HIMSS FHIR Session](https://live.blueskybroadcast.com/bsb/client/CL_DEFAULT.asp?Client=556675&PCAT=8341&CAT=8341&Review=true), [HL7.tv](http://www.hl7.tv/FHIR.html) and [Ringholm](https://vimeo.com/channels/hl7fhir).

*   Testing
    *   [Publicly Available FHIR Servers for testing](/index.php?title=Publicly_Available_FHIR_Servers_for_testing "Publicly Available FHIR Servers for testing")
    *   [Open Source FHIR implementations](/index.php?title=Open_Source_FHIR_implementations "Open Source FHIR implementations")
    *   [FHIR Connectathon 8](/index.php?title=FHIR_Connectathon_8 "FHIR Connectathon 8") (January, San Antonio)
    *   [Organizations interested in FHIR](/index.php?title=Organizations_interested_in_FHIR "Organizations interested in FHIR")
    *   [Profile Tooling](/index.php?title=Profile_Tooling "Profile Tooling")

*   [FHIR Implementations](/index.php?title=FHIR_Implementations "FHIR Implementations")

*   Connectathons
    *   [Connectathon 9](http://wiki.hl7.org/index.php?title=FHIR_Connectathon_9) (May 9-10, Paris, France)

*   Previous Connectathons and other events
    *   [Historical Connectathons](/index.php?title=Category:FHIR_Connectathons "Category:FHIR Connectathons") (list)
    *   [Clinical Connectathon 1](/index.php?title=FHIR_Clinical_Connectathon_Initiative "FHIR Clinical Connectathon Initiative") (September 2014, Chicago) (+ [Clinical Connectatathon 1 Tooling](/index.php?title=Clinical_Connectatathon_1_Tooling "Clinical Connectatathon 1 Tooling"))
    *   [2 day seminar and Connectathon](http://www.healthintersections.com.au/?p=2237) (Nov 6-7, Melbourne Australia)
    *   [International FHIR Development Days](http://fhir.furore.com/devdays/) (Nov 24-26, Amsterdam)

##     FHIR Development

*   How to
    *   [FHIR DSTU monitoring](/index.php?title=FHIR_DSTU_monitoring "FHIR DSTU monitoring") - how to monitor DSTU feedback
    *   [FHIR Ballot Prep](/index.php?title=FHIR_Ballot_Prep "FHIR Ballot Prep") - tasks for the next ballot and milestone dates
    *   [FHIR Build Process](/index.php?title=FHIR_Build_Process "FHIR Build Process") - Setting up and running the FHIR build process
    *   [Technical Guide](/index.php?title=FHIR_Guide_to_Authoring_Resources "FHIR Guide to Authoring Resources") - How to create resources
    *   Materials: [gForge](http://gforge.hl7.org/gf/project/fhir/), [SVN Trunk](http://gforge.hl7.org/svn/fhir/trunk)
        *   For read-only SVN access, use "anonymous" and your email as a password.
        *   For Commit privileges, send a request to lloyd@lmckenzie.com
    *   [FHIR resource and profile proposals](/index.php?title=Category:FHIR_Resource_Proposal "Category:FHIR Resource Proposal") - proposals for new resources & profiles
    *   [FHIR Profile authoring](/index.php?title=FHIR_Profile_authoring "FHIR Profile authoring") - Creating and maintaining FHIR profiles (see also [Profile Tooling](/index.php?title=Profile_Tooling "Profile Tooling"))
    *   [FHIR Change requests](/index.php?title=FHIR_Change_requests "FHIR Change requests") - Process for managing and resolving

*   Guidelines
    *   [Fundamental Principles of FHIR](/index.php?title=Fundamental_Principles_of_FHIR "Fundamental Principles of FHIR")
    *   [FHIR Methodology Process](/index.php?title=FHIR_Methodology_Process "FHIR Methodology Process") - how the methodology is developed and maintained
    *   [Methodology Guidelines](/index.php?title=FHIR_Guide_to_Designing_Resources "FHIR Guide to Designing Resources") - Content and quality guidelines
    *   [Design Patterns](/index.php?title=FHIR_Design_Patterns "FHIR Design Patterns")
    *   [FHIR Comparison to other RESTful API specifications](/index.php?title=FHIR_Comparison_to_other_RESTful_API_specifications "FHIR Comparison to other RESTful API specifications")

*   Resources
    *   [List server](/index.php?title=FHIR_email_list_subscription_instructions "FHIR email list subscription instructions") - discussions
    *   Discussion pages: [Active Discussions](/index.php?title=Category:Active_FHIR_Discussion "Category:Active FHIR Discussion"), [All](/index.php?title=Category:FHIR_Discussion "Category:FHIR Discussion")
    *   [FHIR Design Requirements Sources](/index.php?title=FHIR_Design_Requirements_Sources "FHIR Design Requirements Sources")
    *   [FHIR Resource Types](/index.php?title=FHIR_Resource_Types "FHIR Resource Types")
    *   [FHIR Resource Considerations](/index.php?title=FHIR_Resource_Considerations "FHIR Resource Considerations")
    *   [(old)](/index.php?title=FHIR_Governance "FHIR Governance") - governance discussion with bits of methodology mixed in (to migrate to other pages)
    *   [FHIR Terminology Service](/index.php?title=FHIR_Terminology_Service "FHIR Terminology Service")
    *   [FHIR Digital Signature Working Page](/index.php?title=FHIR_Digital_Signature_Working_Page "FHIR Digital Signature Working Page")

*   WG FHIR pages
    *   [Patient Administration Resource development](/index.php?title=Patient_Administration_Resource_development "Patient Administration Resource development")
    *   [CDA to FHIR Samples Group](/index.php?title=CDA_to_FHIR_Samples_Group "CDA to FHIR Samples Group")
    *   [FHIR_Patient_Care_Resources](/index.php?title=FHIR_Patient_Care_Resources "FHIR Patient Care Resources")


## Organizational

*   Governance
    *   [FHIR Governance Process](/index.php?title=FHIR_Governance_Process "FHIR Governance Process")
    *   [FHIR Governance Board](/index.php?title=FHIR_Governance_Board "FHIR Governance Board") (FGB)
    *   [FHIR Management Group](/index.php?title=FHIR_Management_Group "FHIR Management Group") (FMG)
    *   [Modeling and Methodology](/index.php?title=Modeling_and_Methodology "Modeling and Methodology") (MnM)
    *   [Work Groups](/index.php?title=FHIR_Work_Groups "FHIR Work Groups")
    *   [FHIR Escalation Processes](/index.php?title=FHIR_Escalation_Processes "FHIR Escalation Processes")
    *   [FHIR Ballot Process](/index.php?title=FHIR_Ballot_Process "FHIR Ballot Process")
    *   [FHIR Web Server Hosting Record](/index.php?title=FHIR_Web_Server_Hosting_Record "FHIR Web Server Hosting Record")

*   Agendas
    *   **[Paris WGM](/index.php?title=FHIR_Agenda_201505_WGM "FHIR Agenda 201505 WGM")** (next meeting, May 2015)
    *   [Past Working Group Meetings](/index.php?title=Category:FHIR_Meeting "Category:FHIR Meeting") (list of agendas/notes)
    *   [MnM agendas](http://wiki.hl7.org/index.php?title=MnM_Schedule)
    *   [FGB Agendas & Minutes](http://wiki.hl7.org/index.php?title=FHIR_Governance_Board#Meeting_Information)
    *   [FMG Agendas & Minutes](http://wiki.hl7.org/index.php?title=FHIR_Management_Group#Meeting_Information)

## opensource project

*   Testing
    *   [FHIR 公开测试服务器的测试报告](http://www.projectcrucible.org/)
*   Lib
    *   [Ruby语言的FHIR模型 工具等](https://github.com/fhir-crucible/)
